GDB (xrefs)

Public Attributes | List of all members
dwarf2_property_baton Struct Reference

`#include "dwarf2loc.h"`

## Public Attributes
struct type * | referenced_type
union {
struct dwarf2_locexpr_baton locexpr
struct dwarf2_loclist_baton loclist
struct dwarf2_offset_baton offset_info
}; |

## Detailed Description

Definition at line 233 of file dwarf2loc.h.

## Member Data Documentation

## ◆ @43

union { ... }

## ◆ locexpr

struct dwarf2_locexpr_baton dwarf2_property_baton::locexpr

Definition at line 242 of file dwarf2loc.h.

Referenced by attr_to_dynamic_prop(), dwarf2_compile_property_to_c(), and dwarf2_evaluate_property().

## ◆ loclist

struct dwarf2_loclist_baton dwarf2_property_baton::loclist

Definition at line 245 of file dwarf2loc.h.

Referenced by attr_to_dynamic_prop(), dwarf2_compile_property_to_c(), and dwarf2_evaluate_property().

## ◆ offset_info

struct dwarf2_offset_baton dwarf2_property_baton::offset_info

Definition at line 248 of file dwarf2loc.h.

Referenced by attr_to_dynamic_prop(), and dwarf2_evaluate_property().

## ◆ referenced_type

struct type* dwarf2_property_baton::referenced_type

Definition at line 238 of file dwarf2loc.h.

Referenced by attr_to_dynamic_prop(), and dwarf2_evaluate_property().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2loc.h